Bug 226968 - Fix RTCDataChannelInit::decode
Summary: Fix RTCDataChannelInit::decode
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-14 06:12 PDT by youenn fablet
Modified: 2021-06-17 05:40 PDT (History)
12 users (show)

See Also:


Attachments
Patch (7.94 KB, patch)
2021-06-14 06:21 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (9.37 KB, patch)
2021-06-14 07:03 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (9.37 KB, patch)
2021-06-14 07:04 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Make test more reportive (8.90 KB, patch)
2021-06-15 06:46 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (8.95 KB, patch)
2021-06-16 01:37 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (8.66 KB, patch)
2021-06-17 02:34 PDT, youenn fablet
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2021-06-14 06:12:00 PDT
Fix RTCDataChannelInit::decode
Comment 1 youenn fablet 2021-06-14 06:21:47 PDT
Created attachment 431317 [details]
Patch
Comment 2 youenn fablet 2021-06-14 06:22:15 PDT
Submitted web-platform-tests pull request: https://github.com/web-platform-tests/wpt/pull/29361
Comment 3 EWS Watchlist 2021-06-14 06:22:32 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 4 youenn fablet 2021-06-14 07:03:07 PDT
Created attachment 431320 [details]
Patch
Comment 5 youenn fablet 2021-06-14 07:04:25 PDT
Created attachment 431321 [details]
Patch
Comment 6 EWS 2021-06-14 11:41:02 PDT
Committed r278842 (238790@main): <https://commits.webkit.org/238790@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431321 [details].
Comment 7 Radar WebKit Bug Importer 2021-06-14 11:42:21 PDT
<rdar://problem/79300038>
Comment 8 Truitt Savell 2021-06-14 16:21:55 PDT
the new test imported/w3c/web-platform-tests/webrtc-extensions/transfer-datachannel-service-worker.https.html from https://trac.webkit.org/changeset/278842/webkit

is failing constantly 

History: https://results.webkit.org/?suite=layout-tests&test=imported%2Fw3c%2Fweb-platform-tests%2Fwebrtc-extensions%2Ftransfer-datachannel-service-worker.https.html
Comment 9 Truitt Savell 2021-06-14 16:39:41 PDT
Reverted r278842 for reason:

introduced a failing test

Committed r278851 (238797@main): <https://commits.webkit.org/238797@main>
Comment 10 youenn fablet 2021-06-15 06:46:58 PDT
Created attachment 431433 [details]
Make test more reportive
Comment 11 youenn fablet 2021-06-16 01:37:50 PDT
Created attachment 431527 [details]
Patch
Comment 12 youenn fablet 2021-06-17 02:34:23 PDT
Created attachment 431644 [details]
Patch
Comment 13 EWS 2021-06-17 05:38:24 PDT
Committed r278982 (238908@main): <https://commits.webkit.org/238908@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431644 [details].